%%%-------------------------------------------------------------------
%%% @author Anton N Ryabkov <anton.ryabkov@gmail.com>
%%% @copyright (C) 2015, Eltex
%%% Created : 16 Mar 2015 by Anton N Ryabkov <anton.ryabkov@gmail.com>
%%%-------------------------------------------------------------------
-module(xml_test).

-export([
	test/0
        ]).

read_xml(FileName) ->
    {ok, Schema} = xmerl_xsd:process_schema("test.xsd"),
    {ok, BXml} = file:read_file(FileName),
    Xml = erlang:binary_to_list(BXml),
    {XmerXml, _} = xmerl_scan:string(Xml),
    xmerl_xsd:validate(XmerXml, Schema).

test() ->
    try
        Result = read_xml("test.xml"),
	io:format("~p~n", [Result])
    catch
	_: Error ->
	    io:format("Error: ~p", [Error])
    end.
%%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++


